Bug 240275 - sysutils/go-wtf: Use vendored deps
Summary: sysutils/go-wtf: Use vendored deps
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-09-02 12:12 UTC by Dmitri Goutnik
Modified: 2019-09-09 02:06 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (hsw)


Attachments
patch file (6.39 KB, patch)
2019-09-02 12:12 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (18.90 KB, patch)
2019-09-03 12:34 UTC, Dmitri Goutnik
hsw: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-09-02 12:12:49 UTC
Created attachment 207099 [details]
patch file

Remove GH_TUPLE, upstream now vendors all required dependencies [1]

QA: poudriere testport ok on 120a, 120i, 113a

[1] https://github.com/wtfutil/wtf/issues/539
Comment 1 Christopher Hall 2019-09-03 01:53:53 UTC
It does compile, but the patch need a PORTREVISION increment
and distinfo needs to be rebuilt without all the dependencies.

thanks
Comment 2 Dmitri Goutnik freebsd_committer 2019-09-03 12:34:46 UTC
Created attachment 207145 [details]
patch file

Ah yes, I missed make makesum, thanks for pointing that out. I don't think PORTREVISION needs a bump though as there should be no functional differences.
Comment 3 Christopher Hall 2019-09-04 04:39:54 UTC
thanks for the fixes
Comment 4 Marcelo Araujo freebsd_committer 2019-09-09 01:39:58 UTC
I will take it.
Comment 5 commit-hook freebsd_committer 2019-09-09 02:05:42 UTC
A commit references this bug:

Author: araujo
Date: Mon Sep  9 02:05:15 UTC 2019
New revision: 511604
URL: https://svnweb.freebsd.org/changeset/ports/511604

Log:
  - Use vendored deps

  PR:		240275
  Submitted by:	Dmitri Goutnik <dg__syrec.org>
  Approved by:	Christopher Hall <hsw__bitmark.com>

Changes:
  head/sysutils/go-wtf/Makefile
  head/sysutils/go-wtf/distinfo
Comment 6 Marcelo Araujo freebsd_committer 2019-09-09 02:06:15 UTC
Thank you guys!